#
# spec file for package perl-Gtk2-GladeXML
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Gtk2-GladeXML
Version:        1.007
Release:        pm153.2.5
%define cpan_name Gtk2-GladeXML
Summary:        Create user interfaces directly from Glade XML files
License:        LGPL-2.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Gtk2-GladeXML/
Source:         http://www.cpan.org/authors/id/T/TS/TSCH/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::Depends) >= 0.300
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1.000
BuildRequires:  perl(Glib) >= 1.020
BuildRequires:  perl(Gtk2) >= 1.000
#BuildRequires: perl(Gtk2::Gdk::Keysyms)
#BuildRequires: perl(Gtk2::GladeXML)
#BuildRequires: perl(Gtk2::SimpleList)
BuildRequires:	libglade2-devel
Requires:       perl(ExtUtils::Depends) >= 0.300
Requires:       perl(ExtUtils::PkgConfig) >= 1.000
Requires:       perl(Glib) >= 1.020
Requires:       perl(Gtk2) >= 1.000
%{perl_requires}

%description
Glade is a free user interface builder for GTK+ and GNOME. After designing
a user interface with glade-2 the layout and configuration are saved in an
XML file. libglade is a library which knows how to build and hook up the
user interface described in the Glade XML file at application run time.

This extension module binds libglade to Perl so you can create and
manipulate user interfaces in Perl code in conjunction with Gtk2 and even
Gnome2. Better yet you can load a file's contents into a PERL scalar do a
few magical regular expressions to customize things and the load up the
app. It doesn't get any easier.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog examples gladexmlperl.typemap LICENSE NEWS README

%changelog
